<template>
	<div class="content-ask-2" v-if="session.type == 'quiz'">
		<div class="time col-md-12 col-xs-12 col-sm-12">
			<span id="clock"></span>
			<i class="fa fa-clock-o "></i>
		</div>
		<br>
	</div>
</template>

<script>
//TODO: Refactorizar el quiztimer

	import { mapGetters } from 'vuex'
	export default {
		props: {
			time : {
				default : 5
			}
		},
		computed: {
	  		...mapGetters([
		      'session',
			])
		},
		methods: {
			startTimer(duration, obj) {
			    let timer = duration, minutes, seconds;
			    let interval = setInterval( () => {
				        minutes = parseInt(timer / 60, 10);
				        seconds = parseInt(timer % 60, 10);

				        minutes = minutes < 10 ? "0" + minutes : minutes;
				        seconds = seconds < 10 ? "0" + seconds : seconds;
				        obj.text(`${minutes} : ${seconds} min`);

				        if (--timer < 0) {
				            clearInterval(interval)
				            this.$emit('timerout')
				        }
				    }, 1000);
				}
		},
		mounted(){
			let time = 60 * this.time
			let obj  = $('#clock')
			this.startTimer(time, obj)
		}
	}
</script>